html {
  -ms-content-zooming: none;
  -ms-touch-action: pan-x pan-y;
  position: fixed;
  overflow: hidden;
}

body {
  position: fixed;
  height: 100vh;
  width: 100vw;
  height: calc(var(--vh, 1vh) * 100);
  width: calc(var(--vw, 1vw) * 100);
  background-color: #222;
  overflow: hidden;
}

.container {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  box-sizing: content-box;
  background-color: var(--white);
  overflow: hidden;
}

section {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 1920px;
  height: 1200px;
  overflow: hidden;
  box-sizing: border-box;
  background-color: var(--grey);
  /*border: 1px solid red;*/
}

section:last-child {
  transform: translate(50%, -50%);
}

section::after {
  content: '';
  display: block;
  clear: both;
}

section.main footer {
  display: block;
}

section.main .main-logo {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
}

footer {
  display: none;
  position: absolute;
  width: 100%;
  bottom: 0;
  height: 137px;
}

footer p:first-child {
  text-align: center;
  font-size: var(--font-size-32);
  line-height: 29px;
  letter-spacing: 0px;
  color: var(--txt-gray);
  margin-bottom: 20px;
}

button {
  width: 100%;
  height: 100%;
  position: relative;
}

button:after {
  content: '';
  position: absolute;
  top: -10%;
  left: -10%;
  height: 120%;
  width: 120%;
  border-radius: 5px;
  transition: all ease-out var(--transition-time-medium);
}

button.expand-largely:after {
  top: -25%;
  left: -25%;
  height: 150%;
  width: 150%;
}

button.no-area-expand:after {
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

/* form-data */
.form-data {
  display: none;
  width: 500px;
  padding: 20px;
  margin: 20px;
  z-index: 9;
  opacity: 0.6;
  background-color: #333;
  border-radius: 10px;
}

.form-data>div.form-data-wrapper:not(:first-child) {
  padding-top: 10px;
  border-top: 1px solid white;
  margin-top: 10px;
}

.form-data>div.form-data-wrapper>div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 5px;
}

.form-data>div.form-data-wrapper>div:last-child {
  margin-bottom: 0;
}

.form-data>div.form-data-wrapper>div input {
  color: blue;
  border-bottom: 1px solid #cbcbcb;
  padding-left: 10px;
  transition: .5s;
}

.form-data input.focussed {
  background-color: cyan;
}

.form-data label {
  color: var(--white);
  word-break: break-all;
}

[name="frmAnswer"] {
  position: absolute;
  left: 504px;
  bottom: 254px;
  z-index: 1;
}

[name="frmMode"] {
  position: absolute;
  left: 504px;
  top: 42px;
  z-index: 1;
}

[name="frmStep"] {
  position: absolute;
  right: 42px;
  top: 42px;
  z-index: 1;
}

[name="frmVal"]>.form-data {
  position: absolute;
  right: 42px;
  bottom: 254px;
  background-color: #333;
}

/* audio-data */
.audio-data {
  display: none;
  position: absolute;
  background-color: white;
  top: 42px;
  left: 42px;
  z-index: 9999;
  width: 420px;
  border-radius: 20px;
  height: 144px;
  padding: 10px;
  opacity: 0.8;
}

.audio-data>div {
  height: 25px;
  margin-bottom: 8px;
  display: flex;
  justify-content: space-between;
}

.audio-data>div:last-child {
  margin-bottom: 0;
}

.audio-data label {
  height: 25px;
  color: var(--txt-black);
}

.audio-data audio,
.audio-data video {
  height: 25px;
}

/* check-mode */
body.area-check-mode button:not(:disabled):after,
button.highlighted:after {
  opacity: 0.3;
  background-color: green;
}

body.area-check-mode .not-reversible button:not(.btn-step):after {
  opacity: 0;
  background-color: unset;
}

body.data-check-mode .form-data,
body.media-check-mode .audio-data {
  display: block;
}

/* message-box */
.message-box {
  position: absolute;
  width: 420px;
  height: 200px;
  border-radius: 20px;
  box-shadow: 1px 3px 6px #00000080;
  background-color: var(--white);
  transition: var(--transition-time-long);
  z-index: 10;
}

.message-box .message-header {
  height: 48px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--blue);
  border-radius: 20px 20px 0 0;
}

.message-box .message-header>div {
  position: relative;
  height: 100%;
  text-align: center;
  font-weight: 600;
  font-size: var(--font-size-18);
  line-height: 48px;
  letter-spacing: 0px;
  color: var(--white);
}

body:not(.practice-mode) .message-box .message-header>div:first-child button {
  display: none;
}

.message-box .message-header>div button:disabled {
  opacity: 0.5;
}

.message-box .message-header>div button span {
  display: inline-block;
  vertical-align: middle;
}

.message-box .message-header>div button span:first-child {
  margin-right: 3px;
}

.message-box .message-header>div:not(:nth-child(2)) {
  width: 60px;
}

.message-box .message-header>div:nth-child(2) {
  width: 300px;
}

.message-box .message-header>div button {
  position: relative;
}

.message-box .message-header>div button:before {
  content: '';
  position: absolute;
  width: 2px;
  top: 8px;
  height: calc(100% - 16px);
  background-color: var(--table-darkblue);
}

.message-box .message-header>div:first-child button:before {
  right: 0;
}

.message-box .message-header>div:last-child button:before {
  left: 0;
}

.message-box .message-main {
  height: 152px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.message-box .message-main p {
  text-align: center;
  font-weight: bold;
  font-size: var(--font-size-24);
  line-height: 30px;
  letter-spacing: 0px;
  color: var(--txt-black);
  transition: var(--transition-time-long);
}

.message-box .message-main p.show {
  opacity: 1;
  z-index: 1;
}

.message-box .message-main p.hide {
  opacity: 0;
  z-index: -1;
}

/* object-wrap */
.object-wrap {
  z-index: 1;
  position: absolute;
}

/* detail-image-wrap */
.detail-wrap {
  position: absolute;
  z-index: 2;
  transition: var(--transition-time-medium);
  height: 150px;
  width: 150px;
}

.detail-wrap.ver {
  height: 230px;
}

.detail-wrap.hor {
  width: 230px;
}

.detail-wrap.condensed {
  width: 0 !important;
  height: 0 !important;
  z-index: -1 !important;
}

.detail-wrap.condensed>* {
  z-index: -1;
  width: 0 !important;
  height: 0 !important;
  padding: 0 !important;
  border: 0 !important;
  top: 50% !important;
  left: 50% !important;
  transform: translate(-50%, -50%) !important;
}

/* .detail-image-wrap */
.detail-wrap .detail-image-wrap {
  position: absolute;
  overflow: hidden;
  background-color: var(--white);
  border: 3px solid var(--blue);
  width: 150px;
  height: 150px;
  border-radius: 50%;
  opacity: 1;
  transition: var(--transition-time-medium);
}

.detail-wrap.ver .detail-image-wrap {
  top: 40px;
  left: 0;
}

.detail-wrap.hor .detail-image-wrap {
  top: 0;
  left: 40px;
}

.detail-wrap.condensed .detail-image-wrap div {
  font-size: 0;
  width: 0;
  height: 0;
  border: 0;
}

.detail-wrap.not-reversible .detail-image-wrap {
  cursor: unset !important;
}

.detail-wrap .detail-image-wrap div.bg {
  width: 100%;
  height: 100%;
  opacity: 0.5;
}

.detail-wrap .detail-image-wrap div.icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.detail-wrap .detail-image-wrap div.icon img {
  transition: var(--transition-time-long);
}

.detail-wrap .detail-image-wrap div.icon.rotate img {
  -webkit-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
}

/* .detail-btn-wrap */
.detail-wrap .detail-btn-wrap {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  opacity: 1;
  transition: var(--transition-time-long);
}

.detail-wrap.ver .detail-btn-wrap {
  padding: 0 30px;
  flex-direction: column;
}

.detail-wrap.hor .detail-btn-wrap {
  padding: 30px 0;
}

.detail-wrap .detail-btn-wrap div {
  width: 90px;
  height: 90px;
  background-color: var(--blue);
  transition: var(--transition-time-long);
}

.detail-wrap.ver .detail-btn-wrap div:first-child {
  border-radius: 45px 45px 0 0;
}

.detail-wrap.ver .detail-btn-wrap div:last-child {
  border-radius: 0 0 45px 45px;
}

.detail-wrap.hor .detail-btn-wrap div:first-child {
  border-radius: 45px 0 0 45px;
}

.detail-wrap.hor .detail-btn-wrap div:last-child {
  border-radius: 0 45px 45px 0;
}

.detail-wrap .detail-btn-wrap div button {
  width: 100%;
  height: 100%;
  text-align: center;
}

.detail-wrap.condensed .detail-btn-wrap div button {
  display: none;
}

.detail-wrap .detail-btn-wrap div button span {
  font-weight: bold;
  font-size: var(--font-size-30);
  line-height: 38px;
  letter-spacing: 0px;
  color: var(--white);
  transition: all ease-out var(--transition-time-long);
}

.detail-wrap.ver .detail-btn-wrap div:first-child button {
  padding-top: 7px;
  padding-bottom: 45px;
}

.detail-wrap.ver .detail-btn-wrap div:last-child button {
  padding-top: 45px;
  padding-bottom: 7px;
}

.detail-wrap.condensed .detail-btn-wrap,
.detail-wrap .detail-btn-wrap.btn-hide {
  top: 50%;
  left: 50%;
  width: 0;
  height: 0;
}

.detail-wrap.condensed .detail-btn-wrap div,
.detail-wrap .detail-btn-wrap.btn-hide div {
  font-size: 0;
  width: 0;
  height: 0;
  border: 0;
}

.detail-wrap.condensed .detail-btn-wrap div button span,
.detail-wrap .detail-btn-wrap.btn-hide div button span {
  font-size: 0;
  padding: 0;
}

/* tooltip */
.tooltip-wrap {
  position: absolute;
  opacity: 0;
  z-index: -1;
  transition: var(--transition-time-medium);
  width: 80px;
  height: 80px;
}

.tooltip-wrap.enlarged {
  width: 150px;
  height: 150px;
}

.tooltip-wrap.show {
  opacity: 1;
  z-index: 2;
}

.tooltip {
  cursor: pointer;
  position: absolute;
  bottom: 0;
  right: 0;
  border: 3px solid var(--blue);
  border-radius: 50%;
  transition: var(--transition-time-medium);
}

.tooltip-wrap .tooltip[data-val="condensed"] {
  width: 80px;
  height: 80px;
  opacity: 1;
}

.tooltip-wrap .tooltip[data-val="enlarged"] {
  width: 150px;
  height: 150px;
  opacity: 0;
}

.tooltip .bg {
  width: 100%;
  height: 100%;
  background-color: var(--white);
  opacity: 0.5;
  border-radius: 50%;
}

.tooltip .icon {
  background-image: url('../static/img/icon_Search@2x.png');
  background-repeat: no-repeat;
  background-size: contain;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 50px;
  height: 50px;
}